summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNick Mathewson <nickm@torproject.org>2018-07-17 14:56:52 -0400
committerNick Mathewson <nickm@torproject.org>2018-07-17 14:56:52 -0400
commit304ee896d16dcc058a92998133ee77be24bfa735 (patch)
treed04ddb9eccbb759ed527f1d7a3d840ef8ef7bdaa
parent86456472508276b3db4e7760aa1173f93316216f (diff)
parent28d1057d5658a47dfcaa52c163e5861b4db5670a (diff)
downloadtor-304ee896d16dcc058a92998133ee77be24bfa735.tar.gz
tor-304ee896d16dcc058a92998133ee77be24bfa735.zip
Merge branch 'maint-0.3.3' into maint-0.3.4
-rw-r--r--changes/bug268303
-rwxr-xr-xsrc/test/test_keygen.sh8
2 files changed, 11 insertions, 0 deletions
diff --git a/changes/bug26830 b/changes/bug26830
new file mode 100644
index 0000000000..c002f19530
--- /dev/null
+++ b/changes/bug26830
@@ -0,0 +1,3 @@
+ o Minor bugfixes (continuous integration):
+ - Skip an unreliable key generation test on Windows, until the underlying
+ issue in bug 26076 is resolved. Fixes bug 26830; bugfix on 0.2.7.3-rc.
diff --git a/src/test/test_keygen.sh b/src/test/test_keygen.sh
index b3d4d8e39a..455f9e7d42 100755
--- a/src/test/test_keygen.sh
+++ b/src/test/test_keygen.sh
@@ -13,6 +13,14 @@ if [ $# -eq 0 ] || [ ! -f ${1} ] || [ ! -x ${1} ]; then
fi
fi
+UNAME_OS=`uname -s | cut -d_ -f1`
+if test "$UNAME_OS" = 'CYGWIN' || \
+ test "$UNAME_OS" = 'MSYS' || \
+ test "$UNAME_OS" = 'MINGW'; then
+ echo "This test is unreliable on Windows. See trac #26076. Skipping." >&2
+ exit 77
+fi
+
if [ $# -ge 1 ]; then
TOR_BINARY="${1}"
shift